Bug 1889724 - When LocalVolumeDiscovery CR is created form the LSO page User doesn't see the Disk tab
Summary: When LocalVolumeDiscovery CR is created form the LSO page User doesn't see th...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: afrahman
QA Contact: Pratik Surve
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 13:08 UTC by Pratik Surve
Modified: 2021-02-24 15:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Disk tab not enabled sometime and does not allow discovery to run Consequence: User cannot see the disks on a node when LSO is installed or initiate discovery from disk page. Fix: Fix the flag detection mechanism and added discover disk button, to initiate discovery for that node Result: Disk tab is enabled when LSO is installed and if no discovery is running, gets an option to "discover disks"
Clone Of:
Environment:
Last Closed: 2021-02-24 15:26:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6986 0 None closed Bug 1889724: When LocalVolumeDiscovery CR is created form the LSO page , user must see the Disk tab 2021-02-01 09:08:49 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:27:26 UTC

Description Pratik Surve 2020-10-20 13:08:08 UTC
Description of problem:
When LocalVolumeDiscovery CR is created form the LSO page User doesn't see the Disk tab 

Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-10-17-040148

How reproducible:
always

Steps to Reproduce:
1. Deploy OCP 4.6 
2. Deploy LSO operator 
3. Created LocalVolumeDiscovery CR for all the nodes
4. Navigate to side nav of console > Compute > Node 
5. Disk tab is missing

Actual results:
Disk Tab missing 

Expected results:
Disk Tab should be shown 

Additional info:
When OCS is installed we can Disk Tab, but if only LocalVolumeDiscovery CR is created no Disk tab is seen

Comment 7 errata-xmlrpc 2021-02-24 15:26:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.